<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if (empty($VARS["id"])) {
    $accountid = getRequestUser()->getUID();
} else {
    $accountid = $VARS["id"];
}

if ($database->has("players", ["accountid" => $accountid])) {
    $profile = $database->get("players", ["accountid (id)", "nickname (name)", "level", "energy", "maxenergy", "teamid"], ["accountid" => $accountid]);
} else {
    sendJsonResp($Strings->get("Player does not exist.", false), "ERROR");
}

exitWithJson([
    "status" => "OK",
    "profile" => $profile
]);
