<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php",
        "vars" => [
        ]
    ],
    "items" => [
        "load" => "items.php"
    ],
    "createplayer" => [
        "load" => "createplayer.php",
        "vars" => [
            "team" => "/[1-6]/"
        ]
    ],
    "playerexists" => [
        "load" => "playerexists.php",
        "vars" => [
            "id (optional)" => "/[0-9]+/"
        ]
    ],
    "getprofile" => [
        "load" => "getprofile.php",
        "vars" => [
            "id (optional)" => "/[0-9]+/"
        ]
    ],
    "code" => [
        "load" => "submitcode.php",
        "vars" => [
            "code" => "string",
            "latitude (optional)" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "longitude (optional)" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "accuracy (optional)" => "numeric"
        ]
    ],
    "nearbyplayers" => [
        "load" => "nearbyplayers.php",
        "vars" => [
            "latitude" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "longitude" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "radius (optional)" => "numeric"
        ]
    ],
    "nearbyplaces" => [
        "load" => "nearbyplaces.php",
        "vars" => [
            "latitude" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "longitude" => "/[0-9]{0,3}\.[0-9]{2,10}/",
            "radius (optional)" => "numeric"
        ]
    ]
];